petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDualSpaceCreateReferenceCell

Create a DMPLEX with the appropriate FEM reference cell

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceCreateReferenceCell(PetscDualSpace sp, PetscInt dim, PetscBool simplex, DM *refdm)

Collective on sp

### Input Parameters

| sp | - The PetscDualSpace
| dim | - The spatial dimension
| simplex | - Flag for simplex, otherwise use a tensor-product cell

### Output Parameter

refdm -The reference cell

### See Also

PetscDualSpaceCreate(), DMPLEX

### Level

intermediate

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages